/* -*- mode: c++; c-basic-offset:4 -*-
    commands/newopenpgpcertificatecommand.h

    This file is part of Kleopatra, the KDE keymanager
    SPDX-FileCopyrightText: 2008 Klarälvdalens Datakonsult AB
    SPDX-FileCopyrightText: 2022 g10 Code GmbH
    SPDX-FileContributor: Ingo Klöcker <dev@ingo-kloecker.de>

    SPDX-License-Identifier: GPL-2.0-or-later
*/

#pragma once

#include "command.h"

namespace Kleo
{

class NewOpenPGPCertificateCommand : public Command
{
    Q_OBJECT
public:
    NewOpenPGPCertificateCommand();
    NewOpenPGPCertificateCommand(QAbstractItemView *view, KeyListController *parent);
    ~NewOpenPGPCertificateCommand() override;

private:
    void doStart() override;
    void doCancel() override;

private:
    class Private;
    inline Private *d_func();
    inline const Private *d_func() const;
};

}
